
import request from '@/utils/request.js'
// 学校列表
export const schoolZp_list = (data = {}) => {
  return request({
    url: '/ysgc/ztyshd_cyxx_zp/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      yzcz_img: data.yzcz_img,
      yzcz_author: data.yzcz_author,
      grade_id: data.grade_id,
      grade_name: data.grade_name,
      subject_id: data.subject_id,
      subject_name: data.subject_name,
      yz_name: data.yz_name,
      sm_name: data.sm_name,
      cate_id: data.cate_id,
      sm_id: data.sm_id

    }
  })
}
export const schoolZp_detail = (data = {}) => {
  return request({
    url: '/ysgc/ztyshd_cyxx_zp/detail',
    data: {
      yzcz_id: data.yzcz_id

    }
  })
}
export const grade_list = (data = {}) =>
  request({
    url: '/jcxx/grade/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      grade_id: data.grade_id,
      cate_id: data.cate_id

    }
  })