import request from '@/utils/request';
export const tbjy_list = (data = {}) =>
  request({
    url: "/zhjy/tbjy/index",
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      zt_sub_name: data.zt_sub_name,
      zt_zrjs: data.zt_zrjs,
      grade_id: data.grade_id,
      grade_name: data.grade_name,
      subject_id: data.subject_id,
      subject_name: data.subject_name,
      zt_tag: data.zt_tag,
      zt_home_display: data.zt_home_display,
      zt_shzt: '1',
    },
  });

export const grade_list = (data = {}) =>
  request({
    url: '/jcxx/grade/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      grade_id: data.grade_id,

    }
  })
export const subject_list = (data = {}) =>
  request({
    url: '/jcxx/subject/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      subject_name_short: data.subject_name_short,

    }
  })

export const user_avatar = (data = {}) =>
  request({
    url: '/user/main/user_avatar',
    data: {
      user_id: data.user_id
    }
  })

// 用户信息
export const user_info = (data = {}) =>
  request({
    url: '/user/main/user_info',
    data: data
  })