import request from '@/utils/request';
export const xtbk_list = (data = {}) =>
  request({
    url: "/zhjy/xtbk/index",
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      zx_zrjs: data.zx_zrjs,
      zx_ssjg: data.zx_ssjg,
      grade_id: data.grade_id,
      grade_name: data.grade_name,
      subject_id: data.subject_id,
      subject_name: data.subject_name,
      zx_tag: data.zx_tag,
      zx_home_display: data.zx_home_display,
      zx_shzt: '1',
    },
  });


export const grade_list = (data = {}) =>
  request({
    url: '/jcxx/grade/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      grade_id: data.grade_id,

    }
  })
export const subject_list = (data = {}) =>
  request({
    url: '/jcxx/subject/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      subject_name_short: data.subject_name_short,

    }
  })

export const user_avatar = (data = {}) =>
  request({
    url: '/user/main/user_avatar',
    data: {
      user_id: data.user_id
    }
  })
// 用户信息
export const user_info = (data = {}) =>
  request({
    url: '/user/main/user_info',
    data: data
  })