import request from '@/utils/request';
export const zxxx_detail = (data = {}) =>
  request({
    url: '/zhjy/zxxx/detail',
    data: {
      zz_id: data.zz_id

    }
  })
export const zxxx_evaluate_add = (data = {}) =>
  request({
    url: '/kczy/evaluate/add',
    data: {
      issubmit: '1',
      kczy_evaluate: {
        ke_star: data.ke_star,
        ke_user_realname: data.ke_user_realname,
        kk_id: data.kk_id,
        kf_id: data.kf_id,


      }

    }
  })
export const zxxx_evaluate_list = (data = {}) =>
  request({
    url: '/kczy/evaluate/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      ke_star: data.ke_star,
      ke_content: data.ke_content,
      kk_id: data.kk_id,
      kf_id: data.kf_id,

    }
  })

export const user_avatar = (data = {}) =>
  request({
    url: '/user/main/user_avatar',
    data: {
      user_id: data.user_id
    }
  })
//点赞
export const zxxx_like_add = (data = {}) =>
  request({
    url: '/zhjy/zxxx_like/add',
    data: {
      issubmit: "1",
      zhjy_zxxx_like: {
        zzl_keyword: data.zzl_keyword,
        zz_id: data.zz_id
      }
    }
  })

export const zxxx_like_del = (data = {}) =>
  request({
    url: '/zhjy/zxxx_like/delete',
    data: {
      zzl_id: data.zzl_id,
      zz_id: data.zz_id
    }
  })
//收藏
export const zxxx_fav_add = (data = {}) =>
  request({
    url: '/zhjy/zxxx_fav/add',
    data: {
      issubmit: "1",
      zhjy_zxxx_fav: {
        zzf_keyword: data.zzf_keyword,
        zz_id: data.zz_id
      }
    }
  })
export const zxxx_fav_del = (data = {}) =>
  request({
    url: '/zhjy/zxxx_fav/delete',
    data: {
      zzf_id: data.zzf_id,
      zz_id: data.zz_id
    }
  })
//关注// 关注接口
export const zxxx_attention_add = (data = {}) => {
  return request({
    url: "/user/watch/add",
    data,
  });
}

// 取消关注
export const zxxx_attention_del = (data = {}) => {
  return request({
    url: "/user/watch/delete",
    data,
  });
}

//用户信息
export const userInfoDetail = (data = {}) => {
  return request({
    url: '/user/main/user_info',
    data
  })
}
