import request from '@/utils/request';
// 申请名师列表
export const mssq_list = (data = {}) =>
  request({
    url: '/user/mssq/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      um_mobile: data.um_mobile,
      um_rank: data.um_rank,
      um_subject: data.um_subject,
      um_grade: data.um_grade,
      um_school_name: data.um_school_name,
      um_zjer_account: data.um_zjer_account,
      um_status: data.um_status,

    }
  })

export const mssq_add = (data = {}) =>
  request({
    url: '/user/mssq/add',
    data: {
      //  issubmit: '1',
      user_mssq: data
    }
  })
// 文件上传
export const upload_file = (file, firstpage = "", lastpage = "", convert = "") =>
  REQUEST.upload({
    url: '/upload/main/file',
    data: { filedata: file, firstpage: firstpage, lastpage: lastpage, convert: convert }
  })

// 用户信息
export const user_info = (data = {}) =>
  request({
    url: '/user/main/user_info',
    data: data
  })
