import request from '@/utils/request';

// 列表
export const wcydz_list = (data = {}) =>
    request({
        url: '/user/group/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            ug_brief: data.ug_brief,
            grade_id: data.grade_id,
            grade_name: data.grade_name,
            subject_id: data.subject_id,
            subject_name: data.subject_name,

        }
    })
// 添加
export const wcydz_add = (data = {}) =>
    request({
        url: '/user/group/add',
        data: {
            issubmit: "1",
            user_group: {
                grade_id: data.grade_id,
                grade_name: data.grade_name,
                subject_id: data.subject_id,
                subject_name: data.subject_name,
                ug_name: data.ug_name,
                ug_brief: data.ug_brief,
                teacher_data_json: data.teacher_data_json
            }
        }
    })
// 用户列表
export const user_list = (data = {}) => {
    return request({
        url: '/user/main/index',
        data,
    })
}
// 学科 jcxx_subject 列表接口
export const subject_list = () =>
    request({
        url: '/jcxx/subject/index'
    })
// 年级 jcxx_grade 列表接口
export const grade_list = () =>
    request({
        url: '/jcxx/grade/index'
    })
// 学校列表接口
export const school_list = () =>
    request({
        url: '/school/main/index'
    })
// 班级列表接口
export const class_list = () =>
    request({
        url: '/jcxx/class/index'
    })
