import request from '@/utils/request.js'
import { dateEquals } from 'element-plus'

// 艺术广场作品列表
export const ysgc_list = (data = {}) => {
  return request({
    url: '/ysgc/zp/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      yz_type: data.yz_type,
      grade_id: data.grade_id,
      grade_name: data.grade_name,
      subject_name: data.subject_name,
      team_id: data.team_id,
      yz_ext_type: data.yz_ext_type,
      yz_author_name: data.yz_author_name,
      yz_top_display: data.yz_top_display,
      yz_top_sort: data.yz_top_sort,
      yz_fav_num: data.yz_fav_num,
      ks_id: data.ks_id
    }
  })
}

export const grade_list = (data = {}) =>
  request({
    url: '/jcxx/grade/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      grade_id: data.grade_id,

    }
  })
export const subject_list = (data = {}) =>
  request({
    url: '/jcxx/subject/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      subject_name_short: data.subject_name_short,

    }
  })

// 专题活动列表
export const zthd_list = (data = {}) => {
  return request({
    url: '/ysgc/ztyshd/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      yz_cate: data.yz_cate,
      yz_hdjb: data.yz_hdjb,
      yz_status: data.yz_status,

    }
  })
}
// 用户信息
export const user_info = (data = {}) =>
  request({
    url: '/user/main/user_info',
    data: data
  })
export const xskc_list = (data = {}) => {
  return request({
    url: '/kzkt/ssyskc/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      grade_id: data.grade_id,
      ks_name: data.ks_name,
      yys_id: data.yys_id,
      ks_status: "3",
      is_ysgc: "1"
    }
  })
}
export const xskc_detail = (data = {}) => {
  return request({
    url: '/kzkt/ssyskc/detail',
    data: {
      ks_id: data.ks_id
    }
  })
}