import request from '@/utils/request';
export const rate_list = (data = {}) =>
    request({
        url: '/zhjy/xtbk_kcdg_evaluate/index',
        data: {
            page: data.page,
            limit: data.limit,
            zx_id: data.zx_id

        }
    })
export const rate_add = (data = {}) =>
    request({
        url: '/zhjy/xtbk_kcdg_evaluate/add',
        data: {
            issubmit:'1',
            zhjy_xtbk_kcdg_evaluate:{
                zxke_user_realname:data.zxke_user_realname,
                zxke_star: data.zxke_star,
                zx_id:data.zx_id
            }
        }
    })
export const course_detail = (data = {}) =>
    request({
        url: '/zhjy/xtbk/detail',
        data: {
            zx_id:data.zx_id
        }
    })
export const file_list = (data = {}) =>
    request({
        url: '/zhjy/xtbk_bkzy/index',
        data: {
            zx_id:data.zx_id,
            page:'1',
            limit:'999'
        }
    })

export const file_add = (data = {}) =>
    request({
        url: '/zhjy/xtbk_bkzy/add',
        data: {
            issubmit:'1',
            zhjy_xtbk_bkzy:{
                ykz_title:data.ykz_title,
                zx_id:data.zx_id,
                ykz_ext:data.ykz_ext,
                ykz_realname:data.ykz_realname,
                yzk_bddz:data.yzk_bddz
            }
        }
    })
export const file_del = (data = {}) =>
    request({
        url: '/zhjy/xtbk_bkzy/delete',
        data: {
            ykz_id:data.ykz_id
        }
    })

